Bug 1987169 - Cannot create network attachment definition while operator is installed.
Summary: Cannot create network attachment definition while operator is installed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: aviv turgeman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks: 2005871
TreeView+ depends on / blocked
 
Reported: 2021-07-29 06:50 UTC by Martijn ten Heuvel
Modified: 2021-10-18 17:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:43:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot with bz (103.99 KB, image/png)
2021-07-29 06:50 UTC, Martijn ten Heuvel
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9688 0 None None None 2021-08-01 10:30:02 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:43:26 UTC

Description Martijn ten Heuvel 2021-07-29 06:50:57 UTC
Created attachment 1806980 [details]
screenshot with bz

Description of problem:
After installing the operator I want to define a network attachment definition, and I cannot do so as it says the operator is missing.




Version-Release number of selected component (if applicable):
4.8.2 of OCP and 4.8.0 of the operator.


How reproducible:
This is during the hackathon and was confirmed by others.

Steps to Reproduce:
1. Fresh cluster. Install and configure the operator.
2. Then, in the GUI, click on Networking/Network Attachment definitions. (There should be none)
3. Click on create network attachment definition.
4. It states, under network type:
Warning alert:Missing installed operators
OpenShift Virtualization Operator or SR-IOV Network Operator needs to be installed on the cluster, in order to pick the Network Type.

Actual results:
Cannot create nad

Expected results:
Can create nad

Additional info:

Comment 1 Petr Horáček 2021-07-29 10:48:52 UTC
Thanks for reporting it. It seems to me like a UI bug, but before we move it one, I'd like to clarify few things:

By "operator" you mean OpenShift Virtualization?
This happens during the installation or once it is completed?
Does this recover after a while?
Could you list net-attach-def objects through `oc`? So we confirm it is available on the backend.

Comment 2 Mike Allmen 2021-07-29 13:39:11 UTC
I can confirm this does not resolve over time (at least overnight).  In my case, I installed 4.7.19, updated to candidate-4.8.rc3, then to 4.8.2.  I ensured the OpenShift Virtualization operator updated successfully to 4.8.2.

Now after having successfully deployed a VM in the cluster, I want to create a Network Attachment Definition, but the UI says the operator is not installed.  

The resources are available, it does just appear to be a UI issue that prevents creation.

[root@ocp4-bastion artifacts]# oc get net-attach-def -A
No resources found
[root@ocp4-bastion artifacts]# oc api-resources | grep net-attach
network-attachment-definitions        net-attach-def                         k8s.cni.cncf.io/v1                             true         NetworkAttachmentDefinition

Comment 3 Martijn ten Heuvel 2021-07-29 15:27:25 UTC
(In reply to Petr Horáček from comment #1)
> Thanks for reporting it. It seems to me like a UI bug, but before we move it
> one, I'd like to clarify few things:
> 
> By "operator" you mean OpenShift Virtualization?
> This happens during the installation or once it is completed?
> Does this recover after a while?
> Could you list net-attach-def objects through `oc`? So we confirm it is
> available on the backend.


Yes, the openshift virtualization operator.
It installs, I setup a template, spin up a virtual machine.

I have not checked the backend... 

You mean like this, @phoracek@redhat.com ?

[root@ocp4-bastion nfs]# oc get net-attach-def --all-namespaces
No resources found

Comment 4 Petr Horáček 2021-07-30 13:51:00 UTC
That's what I meant, thanks.

It seems to be an issue with the UI's detection of available features. Moving to the UI component. Feel free to move it back if this ends up being a backend issue.

Comment 6 Guohua Ouyang 2021-08-09 06:30:39 UTC
verified on master

Comment 9 errata-xmlrpc 2021-10-18 17:43:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.